## ayatana-indicator-display 24.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)
project(ayatana-indicator-display VERSION 24.1.1 LANGUAGES C CXX)

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

##
##  GNU standard paths
##
include(GNUInstallDirs)

set(PACKAGE ${CMAKE_PROJECT_NAME})
set(SERVICE_LIB ${PACKAGE})
set(SERVICE_EXEC "${PACKAGE}-service")

# Options

option(ENABLE_TESTS "Enable all tests and checks" OFF)
option(ENABLE_COVERAGE "Enable coverage reports (includes enabling all tests and checks)" OFF)
option(ENABLE_WERROR "Treat all build warnings as errors" OFF)
option(ENABLE_COLOR_TEMP "Include colour temperature specific code in the build" ON)

if(ENABLE_COVERAGE)
    set(ENABLE_TESTS ON)
    set(CMAKE_BUILD_TYPE "Coverage")
else()
    set(CMAKE_BUILD_TYPE "Release")
endif()

if(ENABLE_WERROR)
    add_definitions("-Werror")
endif()

if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    add_definitions("-Weverything")
elseif("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
    add_definitions("-Wall")
endif()

##
## Gettext
##

set(GETTEXT_PACKAGE "ayatana-indicator-display")
add_definitions(
    -DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}"
    -DLOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}"
)

##
##  Check for prerequisites
##

# threads...
set(THREADS_PREFER_PTHREAD_FLAG ON)
find_package(Threads REQUIRED)
if(${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} LESS 3.1)
    set(THREAD_LINK_LIBRARIES -pthread)
else()
    set(THREAD_LINK_LIBRARIES Threads::Threads) # introduced in cmake 3.1
endif()

find_package(PkgConfig REQUIRED)

# glib...
set(GLIB_MINIMUM 2.36)
set (SERVICE_DEPS libayatana-common>=0.9.3 gio-unix-2.0>=${GLIB_MINIMUM} glib-2.0>=${GLIB_MINIMUM} properties-cpp>=0.0.1)

if (ENABLE_COLOR_TEMP)
    list (APPEND SERVICE_DEPS libgeoclue-2.0 accountsservice)
    add_definitions (-DCOLOR_TEMP_ENABLED)
endif ()

pkg_check_modules (SERVICE_DEPS REQUIRED ${SERVICE_DEPS})

include_directories (SYSTEM
  ${SERVICE_DEPS_INCLUDE_DIRS}
)

##
##  Compiler settings
##

include_directories(${CMAKE_CURRENT_SOURCE_DIR})
add_compile_options(-fPIC)

add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(po)

##
##  Testing & Coverage
##

if (ENABLE_TESTS)

    include(CTest)
    enable_testing()
    add_subdirectory(tests)

    if (ENABLE_COVERAGE)
        find_package(CoverageReport)
        ENABLE_COVERAGE_REPORT(
            TARGETS ${SERVICE_LIB} ${SERVICE_EXEC}
            TESTS ${COVERAGE_TEST_TARGETS}
            FILTER /usr/include ${CMAKE_BINARY_DIR}/*
        )

    endif()

endif()

# Display config info

message(STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "Unit tests: ${ENABLE_TESTS}")
message(STATUS "Build with -Werror: ${ENABLE_WERROR}")
message(STATUS "Build with colour temperature code: ${ENABLE_COLOR_TEMP}")

=== data/CMakeLists.txt ===
find_package(GSettings)

##
## GSettings schema
##

set (SCHEMA_NAME "org.ayatana.indicator.display.gschema.xml")
set (SCHEMA_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SCHEMA_NAME}")

# let GSettings do the rest
find_package(GSettings REQUIRED)
add_schema (${SCHEMA_NAME})

##
##  Systemd Unit File
##

pkg_check_modules(SYSTEMD systemd)
if (${SYSTEMD_FOUND})
    # where to install
    pkg_get_variable(SYSTEMD_USER_DIR systemd systemduserunitdir)
    message (STATUS "${SYSTEMD_USER_DIR} is the systemd user unit file install dir")

    set (SYSTEMD_USER_NAME "${CMAKE_PROJECT_NAME}.service")
    set (SYSTEMD_USER_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SYSTEMD_USER_NAME}")
    set (SYSTEMD_USER_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SYSTEMD_USER_NAME}.in")

    # build it
    configure_file ("${SYSTEMD_USER_FILE_IN}" "${SYSTEMD_USER_FILE}")

    # install it
    install (FILES "${SYSTEMD_USER_FILE}"
             DESTINATION "${SYSTEMD_USER_DIR}")
endif()

##
##  XDG Autostart Config File
##

# build it
configure_file ("${CMAKE_CURRENT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}.desktop.in" "${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_PROJECT_NAME}.desktop")

# install it
install (FILES "${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_PROJECT_NAME}.desktop" DESTINATION "/etc/xdg/autostart")

##
##  Ayatana Indicator File
##

# where to install
set (AYATANA_INDICATOR_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/ayatana/indicators")
message (STATUS "${AYATANA_INDICATOR_DIR} is the Ayatana Indicator install dir")

set (AYATANA_INDICATOR_NAME "org.ayatana.indicator.display")
set (AYATANA_INDICATOR_FILE "${CMAKE_CURRENT_SOURCE_DIR}/${AYATANA_INDICATOR_NAME}")

install (FILES "${AYATANA_INDICATOR_FILE}"
         DESTINATION "${AYATANA_INDICATOR_DIR}")


# ayatana-indicator-display-colortemp-off.svg
# ayatana-indicator-display-colortemp-on.svg
# ayatana-indicator-display-brightness-low
# ayatana-indicator-display-brightness-high

install (DIRECTORY "icons/" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/icons/hicolor/scalable/status" FILES_MATCHING PATTERN "*.svg")

if (ENABLE_COLOR_TEMP)

    # org.ayatana.indicator.display.AccountsService.xml

    install (FILES org.ayatana.indicator.display.AccountsService.xml DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/dbus-1/interfaces")
    install (DIRECTORY DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/accountsservice/interfaces/")
    install (CODE "message(STATUS \"Symlinking: \$ENV{DESTDIR}${CMAKE_INSTALL_FULL_DATADIR}/accountsservice/interfaces/org.ayatana.indicator.display.AccountsService.xml\")")
    install (CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink ../../dbus-1/interfaces/org.ayatana.indicator.display.AccountsService.xml \$ENV{DESTDIR}${CMAKE_INSTALL_FULL_DATADIR}/accountsservice/interfaces/org.ayatana.indicator.display.AccountsService.xml)")

    # org.ayatana.indicator.display.AccountsService.policy

    install (FILES org.ayatana.indicator.display.AccountsService.policy DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/polkit-1/actions")

    # 50-org.ayatana.indicator.display.AccountsService.rules

    install (FILES 50-org.ayatana.indicator.display.AccountsService.rules DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/polkit-1/rules.d")

    # 50-org.ayatana.indicator.display.AccountsService.pkla

    install (FILES 50-org.ayatana.indicator.display.AccountsService.pkla DESTINATION "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/lib/polkit-1/localauthority/10-vendor.d")

endif ()

=== tests/CMakeLists.txt ===
set(CMAKE_AUTOMOC ON)

find_package(GMock REQUIRED)
find_package(Qt5Test REQUIRED)
find_package(Qt5DBus COMPONENTS Qt5DBusMacros REQUIRED)

pkg_check_modules(TEST_DEPS
    libqtdbustest-1 REQUIRED
    libqtdbusmock-1 REQUIRED
)

include_directories(SYSTEM
    ${DBUSTEST_INCLUDE_DIRS}
    ${TEST_DEPS_INCLUDE_DIRS}
    ${GTEST_INCLUDE_DIRS}
    ${GMOCK_INCLUDE_DIRS}
)

list(APPEND CTEST_ENVIRONMENT
    G_MESSAGES_DEBUG=all
    G_DBUS_DEBUG=call,signal,return,message
)

# turn off the warnings that break Google Test
if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    list(APPEND CXX_WARNING_ARGS -Wno-global-constructors -Wno-weak-vtables)
endif()

add_compile_options(${CXX_WARNING_ARGS})

add_test(cppcheck cppcheck --enable=all -USCHEMA_DIR --error-exitcode=2 --inline-suppr --library=qt -I${CMAKE_SOURCE_DIR} -i${CMAKE_SOURCE_DIR}/tests/utils/qmain.cpp -i${CMAKE_SOURCE_DIR}/tests/gmock ${CMAKE_SOURCE_DIR}/src ${CMAKE_SOURCE_DIR}/tests --suppress=missingIncludeSystem --suppress=uninitDerivedMemberVar --suppress=unmatchedSuppression --suppress=constParameter --suppress=unusedFunction --suppress=uselessOverride)

add_subdirectory (unit)

set(COVERAGE_TEST_TARGETS
  ${COVERAGE_TEST_TARGETS}
  PARENT_SCOPE
)

=== debian/changelog ===
ayatana-indicator-display (24.1.1-2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:32:34 +1100

ayatana-indicator-display (24.1.1-2) unstable; urgency=medium

  [ Guido Berhörster ]
  * debian/patches:
    + Add 0001_test-segfaulting-on-32bit.patch. Fix test failures/segfault
      on 32bit hardware.
  * debian/control:
    + In B-D:, switch from systemd to systemd-dev. (Closes: #1060471).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 04 Mar 2024 15:21:06 +0100

ayatana-indicator-display (24.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 24 Feb 2024 12:00:48 +0100

ayatana-indicator-display (24.1.0-1) unstable; urgency=medium

  * New upstream release.
    - Drop complete usb-manager code, moved over to adbd-approver in Ubuntu
      Touch. (Closes: #1052946).
  * debian/control:
    + Add B-D: libaccountsservice-dev.
  * debian/copyright:
    + Update copyright attribution for debian/.
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 31 Jan 2024 18:39:49 +0100

=== debian/control ===
Source: ayatana-indicator-display
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Debian UBports Team <team+ubports@tracker.debian.org>,
Build-Depends: cmake,
               cmake-extras,
               dbus,
               intltool,
               libaccountsservice-dev,
               libayatana-common-dev (>= 0.9.3),
               libglib2.0-dev,
               libgtest-dev,
               libgudev-1.0-dev,
               libproperties-cpp-dev,
               libgeoclue-2-dev,
# for coverage reports
               gcovr,
               lcov,
# for tests
               qtbase5-dev,
               libqtdbusmock1-dev,
               libqtdbustest1-dev,
               cppcheck,
               googletest,
               xsct,
# for packaging
               debhelper-compat (= 13),
# for systemd unit
               systemd-dev [linux-any],
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-display
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-display.git
Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-display/

Package: ayatana-indicator-display
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ayatana-indicator-common,
         xsct,
Description: Ayatana Indicator for Display configuration
 This Ayatana Indicator is designed to be placed on the right side of a
 panel and give the user easy control for changing their display settings.
 .
 Ayatana Indicators are only available on desktop environments that
 provide a renderer for system indicators (such as MATE, Xfce, Lomiri,
 etc.).

## ayatana-indicator-display 24.1.1-0+git20240304.577+12.nightly.1

=== debian/changelog ===
ayatana-indicator-display (24.1.1-0+git20240304.577+12.nightly.1) bookworm; urgency=medium

  * Development-Snapshot!!! Auto-built Debian bookworm package for
    packages.arctica-project.org repository (Git commit:
    7eae679a4162e1bc0c50fc7d504f7532ec5fdb3c).

 -- Mike Gabriel <arctica-builder@porty.informatik.uni-kiel.de>  Mon, 04 Mar 2024 15:25:24 +0100

ayatana-indicator-display (24.1.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-display.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sat, 24 Feb 2024 11:30:23 +0100

ayatana-indicator-display (24.1.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-display.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 26 Dec 2023 12:35:25 +0100

ayatana-indicator-display (23.10.5-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-display.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 21 Nov 2023 22:09:07 +0100

ayatana-indicator-display (23.10.4-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-display.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 20 Nov 2023 12:00:03 +0100

ayatana-indicator-display (23.10.3-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-display.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 14 Nov 2023 09:31:24 +0100

ayatana-indicator-display (23.10.2-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-display.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sat, 11 Nov 2023 07:24:47 +0100

ayatana-indicator-display (23.10.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-display.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 06 Nov 2023 16:59:53 +0100

ayatana-indicator-display (23.10.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-display.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 12 Oct 2023 23:48:08 +0200

ayatana-indicator-display (22.9.4-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-display.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sat, 04 Feb 2023 23:44:04 +0100

ayatana-indicator-display (22.9.3-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-display.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 15 Dec 2022 23:45:23 +0100

ayatana-indicator-display (22.9.2-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-display.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 15 Dec 2022 22:00:37 +0100

ayatana-indicator-display (22.9.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-display.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 02 Oct 2022 12:41:22 +0200

ayatana-indicator-display (22.9.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-display.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 14 Sep 2022 14:12:37 +0200

ayatana-indicator-display (22.2.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-display.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 20 Jul 2022 23:55:36 +0200

ayatana-indicator-display (22.2.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-display.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 17 Feb 2022 22:05:36 +0100

ayatana-indicator-display (0.9.0-0) unstable; urgency=medium

  * Fork ayatana-indicator-datetime from Ubuntu's indicator-display.

  * Upstream-provided Debian package for ayatana-indicator-display.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 18 Nov 2021 10:45:46 +0100

=== debian/control ===
Source: ayatana-indicator-display
Section: nightly/x11
Priority: optional
Maintainer: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Build-Depends: cmake,
               cmake-extras (>= 0.10),
               dbus,
               intltool,
               libayatana-common-dev (>= 0.9.3),
               libglib2.0-dev (>= 2.36),
               libgtest-dev,
               libproperties-cpp-dev,
               libgeoclue-2-dev,
               libaccountsservice-dev,
# for coverage reports
               gcovr,
               lcov,
# Ubuntu B-Ds, if on Ubuntu
               gsettings-ubuntu-schemas (>= 0.0.2+14.10.20140813) | hello,
# for tests
               qtbase5-dev,
               libqtdbusmock1-dev,
               libqtdbustest1-dev,
               cppcheck,
               googletest | google-mock (>= 1.6.0+svn437),
# for packaging
               debhelper (>= 10),
               dh-systemd | hello,
# for systemd unit
               systemd [linux-any],
Standards-Version: 4.1.1
Homepage: http://github.com/AyatanaIndicators/ayatana-indicator-display
Vcs-Git: http://github.com/AyatanaIndicators/ayatana-indicator-display
Vcs-Browser: http://github.com/AyatanaIndicators/ayatana-indicator-display

Package: ayatana-indicator-display
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ayatana-indicator-common,
         libglib2.0-bin,
         libgeoclue-2-0,
         xsct (>= 1.9),
Description: Ayatana Indicator for Display configuration
 This Ayatana Indicator is designed to be placed on the right side of a
 panel and give the user easy control for changing their display settings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_CMAKE_EXTRA_FLAGS = \
    -DENABLE_TESTS=ON \
    -DENABLE_COVERAGE=OFF \
    $(NULL)

%:
	dh $@ --parallel --with systemd

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS)

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## ayatana-indicator-display 24.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.13)
-project(ayatana-indicator-display VERSION 24.1.1 LANGUAGES C CXX)
+project(ayatana-indicator-display VERSION 24.5.0 LANGUAGES C CXX)
 
 if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)

=== debian/changelog ===
ayatana-indicator-display (24.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 22 May 2024 09:00:58 +0200

ayatana-indicator-display (24.4.1-1) unstable; urgency=medium

  * New upstream release.
    - Fix cppcheck unit tests with cppcheck 2.14 and above. (Closes: #1070455).
  * debian/patches:
    + Drop 0001_test-segfaulting-on-32bit.patch. Applied upstream.
  * debian/control:
    + Assure that xsct >= 1.9 is used, first version with brightness feature.
    + Bump Standards-Version to 4.7.0. No changes needed.
  * debian/copyright:
    + Drop unused license texts.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 17 May 2024 18:56:31 +0200

=== debian/control ===
Source: ayatana-indicator-display
Section: misc
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Debian UBports Team <team+ubports@tracker.debian.org>,
Build-Depends: cmake,
               cmake-extras,
               dbus,
               intltool,
               libaccountsservice-dev,
               libayatana-common-dev (>= 0.9.3),
               libglib2.0-dev,
               libgtest-dev,
               libgudev-1.0-dev,
               libproperties-cpp-dev,
               libgeoclue-2-dev,
# for coverage reports
               gcovr,
               lcov,
# for tests
               qtbase5-dev,
               libqtdbusmock1-dev,
               libqtdbustest1-dev,
               cppcheck,
               googletest,
               xsct (>= 1.9),
# for packaging
               debhelper-compat (= 13),
# for systemd unit
               systemd-dev [linux-any],
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-display
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-display.git
Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-display/

Package: ayatana-indicator-display
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ayatana-indicator-common,
         xsct (>= 1.9),
Description: Ayatana Indicator for Display configuration
 This Ayatana Indicator is designed to be placed on the right side of a
 panel and give the user easy control for changing their display settings.
 .
 Ayatana Indicators are only available on desktop environments that
 provide a renderer for system indicators (such as MATE, Xfce, Lomiri,
 etc.).

## ayatana-indicator-display 24.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.13)
-project(ayatana-indicator-display VERSION 24.5.0 LANGUAGES C CXX)
+project(ayatana-indicator-display VERSION 24.5.1 LANGUAGES C CXX)
 
 if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
@@ -20,6 +20,7 @@
 option(ENABLE_COVERAGE "Enable coverage reports (includes enabling all tests and checks)" OFF)
 option(ENABLE_WERROR "Treat all build warnings as errors" OFF)
 option(ENABLE_COLOR_TEMP "Include colour temperature specific code in the build" ON)
+option(ENABLE_RDA "Enable RDA (remote desktop awareness), only taking effect if built with ENABLE_COLOR_TEMP" ON)
 
 if(ENABLE_COVERAGE)
     set(ENABLE_TESTS ON)
@@ -68,8 +69,13 @@
 set (SERVICE_DEPS libayatana-common>=0.9.3 gio-unix-2.0>=${GLIB_MINIMUM} glib-2.0>=${GLIB_MINIMUM} properties-cpp>=0.0.1)
 
 if (ENABLE_COLOR_TEMP)
-    list (APPEND SERVICE_DEPS libgeoclue-2.0 accountsservice)
+    list (APPEND SERVICE_DEPS libgeoclue-2.0 accountsservice x11 xrandr)
     add_definitions (-DCOLOR_TEMP_ENABLED)
+
+    if (ENABLE_RDA)
+        list (APPEND SERVICE_DEPS rda)
+        add_definitions (-DRDA_ENABLED)
+    endif ()
 endif ()
 
 pkg_check_modules (SERVICE_DEPS REQUIRED ${SERVICE_DEPS})
@@ -117,3 +123,4 @@
 message(STATUS "Unit tests: ${ENABLE_TESTS}")
 message(STATUS "Build with -Werror: ${ENABLE_WERROR}")
 message(STATUS "Build with colour temperature code: ${ENABLE_COLOR_TEMP}")
+message(STATUS "Build with remote desktop awareness: ${ENABLE_RDA}")

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 add_compile_options(${CXX_WARNING_ARGS})
 
-add_test(cppcheck cppcheck --enable=all -USCHEMA_DIR --error-exitcode=2 --inline-suppr --library=qt -I${CMAKE_SOURCE_DIR} -i${CMAKE_SOURCE_DIR}/tests/utils/qmain.cpp -i${CMAKE_SOURCE_DIR}/tests/gmock ${CMAKE_SOURCE_DIR}/src ${CMAKE_SOURCE_DIR}/tests --suppress=missingIncludeSystem --suppress=uninitDerivedMemberVar --suppress=unmatchedSuppression --suppress=constParameter --suppress=unusedFunction --suppress=uselessOverride)
+add_test(cppcheck cppcheck --enable=all -USCHEMA_DIR --check-level=exhaustive --error-exitcode=2 --inline-suppr --library=qt -I${CMAKE_SOURCE_DIR} -i${CMAKE_SOURCE_DIR}/tests/utils/qmain.cpp -i${CMAKE_SOURCE_DIR}/tests/gmock ${CMAKE_SOURCE_DIR}/src ${CMAKE_SOURCE_DIR}/tests --suppress=missingIncludeSystem --suppress=uninitDerivedMemberVar --suppress=unmatchedSuppression --suppress=constParameter --suppress=constParameterCallback --suppress=unusedFunction --suppress=uselessOverride)
 
 add_subdirectory (unit)

=== debian/changelog ===
ayatana-indicator-display (24.5.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
    + Add to B-D: librda-dev, libxrandr-dev.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 12 Mar 2025 13:05:05 +0100

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,8 @@
                libgudev-1.0-dev,
                libproperties-cpp-dev,
                libgeoclue-2-dev,
+               librda-dev,
+               libxrandr-dev,
 # for coverage reports
                gcovr,
                lcov,
@@ -30,7 +32,7 @@
                debhelper-compat (= 13),
 # for systemd unit
                systemd-dev [linux-any],
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-display
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-display.git

## ayatana-indicator-display 24.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.13)
-project(ayatana-indicator-display VERSION 24.5.1 LANGUAGES C CXX)
+project(ayatana-indicator-display VERSION 24.5.2 LANGUAGES C CXX)
 
 if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -82,8 +82,4 @@
 
     install (FILES 50-org.ayatana.indicator.display.AccountsService.rules DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/polkit-1/rules.d")
 
-    # 50-org.ayatana.indicator.display.AccountsService.pkla
-
-    install (FILES 50-org.ayatana.indicator.display.AccountsService.pkla DESTINATION "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/lib/polkit-1/localauthority/10-vendor.d")
-
 endif ()

=== src/CMakeLists.txt ===
add_definitions(-DG_LOG_DOMAIN="${CMAKE_PROJECT_NAME}")

add_compile_options(
  ${CXX_WARNING_ARGS}
)

set (SERVICE_LIB_SOURCES
     exporter.cpp
     indicator.cpp
     service.cpp
)

if (ENABLE_COLOR_TEMP)
    list (APPEND
          SERVICE_LIB_SOURCES
          solar.c
    )
endif ()

add_library (${SERVICE_LIB} STATIC ${SERVICE_LIB_SOURCES})

add_executable(
    ${SERVICE_EXEC}
    main.cpp
)

target_link_libraries(${SERVICE_EXEC}
    ${SERVICE_LIB}
    ${SERVICE_DEPS_LIBRARIES}
    ${THREAD_LINK_LIBRARIES}
)

install(
    TARGETS
        ${SERVICE_EXEC}
    RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}"
)

=== tests/unit/CMakeLists.txt ===
###########################
# GSettings Schema
###########################

# build the necessary schemas
set_directory_properties (PROPERTIES
                          ADDITIONAL_MAKE_CLEAN_FILES gschemas.compiled)
set_source_files_properties (gschemas.compiled GENERATED)

# GSettings:
# compile the org.ayatana.display schema into a gschemas.compiled file in this directory,
# and help the tests to find that file by setting -DSCHEMA_DIR
set (XDG_DATA_DIRS "${CMAKE_CURRENT_BINARY_DIR}/gsettings-schemas")
set (SCHEMA_DIR "${XDG_DATA_DIRS}/glib-2.0/schemas")
set (DISPLAY_SCHEMA ${CMAKE_BINARY_DIR}/data/org.ayatana.indicator.display.gschema.xml)
add_definitions(-DSCHEMA_DIR="${SCHEMA_DIR}")
execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} gio-2.0 --variable glib_compile_schemas
                 OUTPUT_VARIABLE COMPILE_SCHEMA_EXECUTABLE
                 OUTPUT_STRIP_TRAILING_WHITESPACE)
# Because gschemas.compiled will be referenced multiple times independently, a level of
# redirection is needed to prevent CMake from generating the rule for the file multiple
# times, causing a race condition.
# https://discourse.cmake.org/t/race-condition-when-multi-add-custom-target-deps-on-same-file-generated-by-add-custom-command/2358
# https://bugs.debian.org/892091 (bug for ayatana-indicators-power, but applies here as well)
add_custom_command (OUTPUT gschemas.compiled
                    DEPENDS ${CMAKE_BINARY_DIR}/data/org.ayatana.indicator.display.gschema.xml
                    COMMAND mkdir -p ${SCHEMA_DIR}
                    COMMAND cp -f ${DISPLAY_SCHEMA} ${SCHEMA_DIR}
                    COMMAND ${COMPILE_SCHEMA_EXECUTABLE} ${SCHEMA_DIR})
add_custom_target(gschemas-compiled DEPENDS gschemas.compiled)

set(SERVICE_LINK_LIBRARIES
    ${SERVICE_LIB}
    ${SERVICE_DEPS_LIBRARIES}
)
set(TEST_LINK_LIBRARIES
    ${TEST_DEPS_LIBRARIES}
    ${GTEST_LIBRARIES}
    ${GMOCK_LIBRARIES}
)

function(add_test_by_name name)
  set(TEST_NAME ${name})
  set(COVERAGE_TEST_TARGETS ${COVERAGE_TEST_TARGETS} ${TEST_NAME} PARENT_SCOPE)
  add_executable (${TEST_NAME} ${TEST_NAME}.cpp)
  target_link_options(${TEST_NAME} PRIVATE -no-pie)
  add_test(${TEST_NAME} ${TEST_NAME})
  add_dependencies(${TEST_NAME} gschemas-compiled)
  set_property(TEST ${TEST_NAME} APPEND PROPERTY ENVIRONMENT ${CTEST_ENVIRONMENT})
  set_property(TEST ${TEST_NAME} APPEND PROPERTY ENVIRONMENT "TEST_NAME=${TEST_NAME}")
  target_link_libraries(${TEST_NAME} ${SERVICE_LINK_LIBRARIES} ${TEST_LINK_LIBRARIES} ${THREAD_LINK_LIBRARIES})
endfunction()
add_test_by_name(rotation-lock-test)

set(COVERAGE_TEST_TARGETS
  ${COVERAGE_TEST_TARGETS}
  PARENT_SCOPE
)

=== debian/changelog ===
ayatana-indicator-display (24.5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 04 May 2025 22:53:45 +0200

=== debian/rules ===
--- 
+++ 
@@ -13,13 +13,21 @@
 DEB_CMAKE_EXTRA_FLAGS = \
     -DENABLE_TESTS=ON \
     -DENABLE_COVERAGE=OFF \
+    -DENABLE_LOMIRI_FEATURES=ON \
+    -DENABLE_COLOR_TEMP=ON \
     $(NULL)
 
 %:
-	dh $@ --parallel --with systemd
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS)
 
+override_dh_missing:
+	dh_missing --fail-missing
+
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS
+
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://releases.ayatana-indicators.org/source/ayatana-indicator-display/ayatana-indicator-display-(.+)\.tar\.gz
